qiime2 2020.8 dada2: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Hi, thanks for seeing this. I’m using qiime2-2020.8 in Linux. I run dada2 with this command:
qiime dada2 denoise-paired
–i-demultiplexed-seqs demux-paired-end.qza
–p-trim-left-f 0 --p-trim-left-r 0
–p-trunc-len-f 210 --p-trunc-len-r 210
–o-table dada2-table.qza
–o-representative-sequences dada2-rep-seqs.qza
–o-denoising-stats denoising-stats.qza
I got this error:
Plugin error from dada2:
An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.
The log file:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmploou5xhp/forward /tmp/tmploou5xhp/reverse /tmp/tmploou5xhp/output.tsv.biom /tmp/tmploou5xhp/track.tsv /tmp/tmploou5xhp/filt_f /tmp/tmploou5xhp/filt_r 210 210 0 0 2.0 2.0 2 independent consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.4.6 / RcppParallel: 5.0.0

  1. Filtering Error in (function (fn, fout, maxN = c(0, 0), truncQ = c(2, 2), truncLen = c(0, :
    Mismatched forward and reverse sequence files: 50045, 49778.
    Execution halted
    Traceback (most recent call last):
    File “/home/un/miniconda2/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired
    run_commands([cmd])
    File “/home/un/miniconda2/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/un/miniconda2/envs/qiime2-2020.8/lib/python3.6/subprocess.py”, line 438, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmploou5xhp/forward’, ‘/tmp/tmploou5xhp/reverse’, ‘/tmp/tmploou5xhp/output.tsv.biom’, ‘/tmp/tmploou5xhp/track.tsv’, ‘/tmp/tmploou5xhp/filt_f’, ‘/tmp/tmploou5xhp/filt_r’, ‘210’, ‘210’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/un/miniconda2/envs/qiime2-2020.8/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/un/miniconda2/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/un/miniconda2/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/un/miniconda2/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

I don’t know why this happened. I did some attempts and did not find a suitable solution.
Can anyone help me?
Thanks a lot!

Welcome to the forum, @Susun!

Here is the key line:

Your files do not match! they need to have the same number of sequences in the same order… usually this mismatch occurs due to (a) human error (e.g., wrong files) or (b) some quality filtering was applied prior to importing… you should make sure you have the rawest possible sequences for the best results, and can check with your sequencing center to make sure that they did not pre-filter sequences based on quality.

Good luck!

1 Like

Thanks! You are right, I have solved it.

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.